org.eclipse.viatra.query.runtime.rete.aggregation

## Class CountNode

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.network.BaseNode
  - - org.eclipse.viatra.query.runtime.rete.network.StandardNode
    - - org.eclipse.viatra.query.runtime.rete.aggregation.IndexerBasedAggregatorNode
      - - org.eclipse.viatra.query.runtime.rete.aggregation.CountNode

- All Implemented Interfaces:
    IAggregatorNode, NetworkStructureChangeSensitiveNode, Node, Supplier

      public class CountNode
      extends IndexerBasedAggregatorNode

  An aggregation node that simply counts the number of tuples conforming to the signature.
  Since:
    1.4

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.network.StandardNode

      `childMailboxes, children`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.network.BaseNode

      `nodeId, reteContainer, tag, traceInfos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CountNode(ReteContainer reteContainer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `aggregateGroup(Tuple signature, java.util.Collection<Tuple> group)` Aggregates (reduces) a group of tuples.

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.aggregation.IndexerBasedAggregatorNode

      `aggregateAndPack, aggregateGroupAfterUpdate, aggregateUpdate, assignTraceInfo, getAggregatorOuterIdentityIndexer, getAggregatorOuterIndexer, initializeWith, networkStructureChanged, packResult, pullInto, pullIntoWithTimeline`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.network.StandardNode

      `appendChild, constructIndex, getChildMailboxes, getPulledContents, getReceivers, issueError, propagateUpdate, removeChild`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.network.BaseNode

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfoPatternsEnumerated, getTraceInfos, setTag, toString, toStringCore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.network.Supplier

      `getPulledContents`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.network.Node

      `acceptPropagatedTraceInfo, getCommunicationTracker, getContainer, getNodeId, getTag, getTraceInfos, setTag`

- - ### Constructor Detail

    - #### CountNode

          public CountNode(ReteContainer reteContainer)

  - ### Method Detail

    - #### aggregateGroup

          public java.lang.Object aggregateGroup(Tuple signature,
                                                 java.util.Collection<Tuple> group)

      Description copied from class: `IndexerBasedAggregatorNode`
      Aggregates (reduces) a group of tuples. The group can be null.
      Specified by:
        `aggregateGroup` in class `IndexerBasedAggregatorNode`